PERSAGY_URL = http://www.persagy.cn

PERSAGY_KOTLIN_VERSION = 1.4.173
PERSAGY_SERVICE_VERSION = 1.4.228
PERSAGY_SERVICE_VERSION_LAST = 1.4.164
#\u5907\u4EFD\u8C03\u6574\u52A8\u6001\u8868\u660E\uFF0C\u66F4\u65B0\u7F6E\u7A7A\u5217\u8868\u524D
#PERSAGY_KOTLIN_VERSION = 1.4.121
#PERSAGY_SERVICE_VERSION = 1.4.164


#PERSAGY_KOTLIN_VERSION = 1.4.129
#PERSAGY_SERVICE_VERSION = 1.4.164

#PERSAGY_KOTLIN_VERSION = 1.4.128
#PERSAGY_SERVICE_VERSION = 1.4.165

SYBOTAN_URL = http://www.sybotan.com
SYBOTAN_KOTLIN_VERSION = 1.4.109
SYBOTAN_SERVICE_VERSION = 1.4.148

SAGA_URL = http://www.sagaloud.cn
SAGA_KOTLIN_VERSION = 1.4.108
SAGA_SERVICE_VERSION = 1.4.140

MAVEN_REPO_NEXUS_RELEASE_URL = http://47.93.132.139:8081/nexus/content/repositories/persagy/
MAVEN_REPO_NEXUS_PUBLIC_URL = http://47.93.132.139:8081/nexus/content/groups/public/
MAVEN_REPO_PUBLIC_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-public/
MAVEN_REPO_RELEASE_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-releases/
MAVEN_REPO_SNAPSHOT_URL = http://dev.dp.sagacloud.cn:8082/repository/maven-snapshots/

MAVEN_REPO_GEO_SNAPSHOT_URL = https://repo.osgeo.org/repository/release/

NEXUS_USERNAME = admin
NEXUS_PASSWORD = 123qwe!@#

LICENSE_NAME = The Apache Software License, Version 2.0
LICENSE_URL = http://www.apache.org/licenses/LICENSE-2.0.txt

DEVELOPER_ID = Andy.Sybotan
DEVELOPER_NAME = Andy

JVM_TARGET = 1.8
JDK_VERSION = 8

# https://mvnrepository.com/artifact/org.postgresql/postgresql
POSTGRESQL_VERSION=42.2.5
## https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
#ALIYUN_OSS_VERSION=3.3.0
# https://mvnrepository.com/artifact/org.apache.commons/commons-lang3
COMMONS_LANG_VERSION=3.8
# https://mvnrepository.com/artifact/org.jetbrains.dokka/dokka-gradle-plugin
DOKKA_VERSION=0.9.16
# https://mvnrepository.com/artifact/com.alibaba/druid
DRUID_VERSION=1.1.10
# https://mvnrepository.com/artifact/com.android.tools.build/gradle
GRADLE_VERSION=3.3.2
# https://mvnrepository.com/artifact/org.jline/jline
JLINE_VERSION=3.9.0
# https://mvnrepository.com/artifact/org.junit.jupiter/junit-jupiter-api
JUNIT_VERSION=4.3.1

# https://mvnrepository.com/artifact/org.mybatis.spring.boot/mybatis-spring-boot-starter
MYBATIS_VERSION=1.3.2
# https://mvnrepository.com/artifact/mysql/mysql-connector-java
MYSQL_VERSION=8.0.12
# https://mvnrepository.com/artifact/com.alibaba/fastjson
FAST_JSON_VERSION=1.2.83
# https://mvnrepository.com/artifact/com.alibaba/fastjson
MYBATIS_CORE_VERSION=3.5.6
# mybatis_plus
MYBATIS_PLUS_VERSION=3.4.2
# mybatis_plus
MYBATIS_PLUS_DYNAMIC_VERSION=3.4.1
# https://mvnrepository.com/artifact/com.alibaba/fastjson
XSTREAM_VERSION=1.4.18
# https://mvnrepository.com/artifact/javax.persistence/persistence-api
PERSISTENCE_VERSION=1.0.2
# https://mvnrepository.com/artifact/org.apache.poi/poi-ooxml
POI_VERSION=4.1.2
# https://mvnrepository.com/artifact/org.slf4j/slf4j-api
SLF4J_VERSION=1.7.25
LOG4J_VERSION=2.15.0
## https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
#SPRING_BOOT_VERSION=2.1.3.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
#SPRING_CLOUD_VERSION=1.4.6.RELEASE
## https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
#SPRING_CLOUD_CONFIG_VERSION=2.0.2.RELEASE
# https://mvnrepository.com/artifact/io.springfox/springfox-swagger-ui
SWAGGER_VERSION=2.9.2
# https://mvnrepository.com/artifact/org.hibernate.validator/hibernate-validator
VALIDATOR_VERSION=6.0.13.Final
## https://mvnrepository.com/artifact/com.google.zxing/core
#ZXING_VERSION=3.3.0
## https://repo.spring.io/milestone
#SPRING_CLOUD_DEPENDENCIES=Finchley.RELEASE
## https://mvnrepository.com/artifact/org.testng/testng
#TESTNG_VERSION=6.14.3
## https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
#PROTOBUF_VERSION = 3.7.0
##/ https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
#PROTOBUF_GRADLE_VERSION = 0.8.8
## https://mvnrepository.com/artifact/io.netty/netty-all
#NETTY_VERSION = 4.1.33.Final
# https://mvnrepository.com/artifact/com.google.zxing/core
ZXING_VERSION = 3.3.1
# https://mvnrepository.com/artifact/com.aliyun.oss/aliyun-sdk-oss
ALIYUN_OSS_VERSION=3.8.0
# https://mvnrepository.com/artifact/org.jetbrains.kotlin/kotlin-stdlib-jdk8
KOTLIN_VERSION = 1.3.61
# https://mvnrepository.com/artifact/io.netty/netty-all
NETTY_VERSION = 4.1.44.Final
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-lite
PROTOBUF_VERSION = 3.11.1
# https://mvnrepository.com/artifact/com.google.protobuf/protobuf-gradle-plugin
PROTOBUF_GRADLE_VERSION = 0.8.10
# https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-web
SPRING_BOOT_VERSION = 2.2.3.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-eureka-server
SPRING_CLOUD_VERSION = 1.4.7.RELEASE
# https://mvnrepository.com/artifact/org.springframework.cloud/spring-cloud-starter-config
SPRING_CLOUD_CONFIG_VERSION = 2.2.0.RELEASE
# https://repo.spring.io/milestone
SPRING_CLOUD_DEPENDENCIES = Hoxton.RELEASE
# https://mvnrepository.com/artifact/org.springframework.kafka/spring-kafka
SPRING_KAFKA_VERSION = 2.4.0.RELEASE

# https://mvnrepository.com/artifact/com.alibaba/druid-spring-boot-starter
SPRING_DRUID_VERSION = 1.1.21
#  https://mvnrepository.com/artifact/com.github.xiaoymin/swagger-bootstrap-ui
SWAGGER_BOOTSTRAP_VERSION = 1.9.6
# https://mvnrepository.com/artifact/org.testng/testng
TESTNG_VERSION = 7.1.0

LOMBOK_VERSION = 1.16.16

# https://mvnrepository.com/artifact/org.springdoc/springdoc-openapi-ui
SPRING_DOC_VERSION = 1.4.8
# https://mvnrepository.com/artifact/com.credibledoc/plantuml-core
PLANTUML_VERSION = 1.0.24

DIGITAL_START_VERSION = 1.0.0


PERSAGY_INTERGERT_VERSION = 1.0.0

APM_SKYWALKING_VERSION = 8.3.0